- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_header.h File Reference

axis2 HTTP Header name:value pair implementation More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_http_header | axis2_http_header_t
## Functions
AXIS2_EXTERN axis2_char_t * | axis2_http_header_to_external_form (axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_header_get_name (const axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_header_get_value (const axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_header_free (axis2_http_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_header_t * | axis2_http_header_create (const axutil_env_t *env, const axis2_char_t *name, const axis2_char_t *value)
AXIS2_EXTERN axis2_http_header_t * | axis2_http_header_create_by_str (const axutil_env_t *env, const axis2_char_t *str)

## Detailed Description

axis2 HTTP Header name:value pair implementation